Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl.dtd
Class XMLDTDProcessor

    java.lang.Object
      weblogic.apache.xerces.impl.dtd.XMLDTDProcessor

All Implemented Interfaces:
  XMLComponent, XMLDTDContentModelFilter, XMLDTDContentModelSource, XMLDTDFilter, XMLDTDSource, XMLDTDContentModelHandler, XMLDTDHandler

Direct Known Subclasses:
  XMLDTDLoader

Deprecated. please use JDK supplied XML parsers and transformers

    public class XMLDTDProcessor

extends Object
implements XMLComponent, XMLDTDFilter, XMLDTDContentModelFilter

The DTD processor. The processor implements a DTD filter: receiving DTD events from the DTD scanner; validating the content and structure; building a grammar, if applicable; and notifying the DTDHandler of the information resulting from the process.

This component requires the following features and properties from the component manager that uses it:

- http://xml.org/sax/features/namespaces
- http://apache.org/xml/properties/internal/symbol-table
- http://apache.org/xml/properties/internal/error-reporter
- http://apache.org/xml/properties/internal/grammar-pool
- http://apache.org/xml/properties/internal/datatype-validator-factory

Field Summary
`protected static String` | `DTD_VALIDATOR` Deprecated. Property identifier: validator .
`protected static String` | `ERROR_REPORTER` Deprecated. Property identifier: error reporter.
`protected XMLDTDContentModelHandler` | `fDTDContentModelHandler` Deprecated. DTD content model handler.
`protected DTDGrammar` | `fDTDGrammar` Deprecated. DTD Grammar.
`protected XMLDTDHandler` | `fDTDHandler` Deprecated. DTD handler.
`protected boolean` | `fDTDValidation` Deprecated. Validation against only DTD
`protected XMLErrorReporter` | `fErrorReporter` Deprecated. Error reporter.
`protected DTDGrammarBucket` | `fGrammarBucket` Deprecated. Grammar bucket.
`protected XMLGrammarPool` | `fGrammarPool` Deprecated.
`protected boolean` | `fInDTDIgnore` Deprecated. True if in an ignore conditional section of the DTD.
`protected Locale` | `fLocale` Deprecated.
`protected SymbolTable` | `fSymbolTable` Deprecated. Symbol table.
`protected boolean` | `fValidation` Deprecated. Validation.
`protected XMLDTDValidator` | `fValidator` Deprecated.
`protected boolean` | `fWarnDuplicateAttdef` Deprecated. warn on duplicate attribute definition, this feature works only when validation is true
`protected static String` | `GRAMMAR_POOL` Deprecated. Property identifier: grammar pool.
`protected static String` | `NOTIFY_CHAR_REFS` Deprecated. Feature identifier: notify character references.
`protected static String` | `SYMBOL_TABLE` Deprecated. Property identifier: symbol table.
`protected static String` | `VALIDATION` Deprecated. Feature identifier: validation.
`protected static String` | `WARN_ON_DUPLICATE_ATTDEF` Deprecated. Feature identifier: warn on duplicate attdef

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDHandler
`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

Fields inherited from interface weblogic.apache.xerces.xni.XMLDTDContentModelHandler
`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

Constructor Summary
`XMLDTDProcessor()` Deprecated. Default constructor.

Method Summary
`void` | `any(Augmentations augs)` Deprecated. A content model of ANY.
`void` | `attributeDecl(String elementName, String attributeName, String type, String[] enumeration, String defaultType, XMLString defaultValue, XMLString nonNormalizedDefaultValue, Augmentations augs)` Deprecated. An attribute declaration.
`protected static void` | `checkStandaloneEntityRef(String name, DTDGrammar grammar, XMLEntityDecl tempEntityDecl, XMLErrorReporter errorReporter)` Deprecated. Check standalone entity reference.
`void` | `comment(XMLString text, Augmentations augs)` Deprecated. A comment.
`void` | `element(String elementName, Augmentations augs)` Deprecated. A referenced element in a mixed or children content model.
`void` | `elementDecl(String name, String contentModel, Augmentations augs)` Deprecated. An element declaration.
`void` | `empty(Augmentations augs)` Deprecated. A content model of EMPTY.
`void` | `endAttlist(Augmentations augs)` Deprecated. The end of an attribute list.
`void` | `endConditional(Augmentations augs)` Deprecated. The end of a conditional section.
`void` | `endContentModel(Augmentations augs)` Deprecated. The end of a content model.
`void` | `endDTD(Augmentations augs)` Deprecated. The end of the DTD.
`void` | `endExternalSubset(Augmentations augs)` Deprecated. The end of the DTD external subset.
`void` | `endGroup(Augmentations augs)` Deprecated. The end of a group for mixed or children content models.
`void` | `endParameterEntity(String name, Augmentations augs)` Deprecated. This method notifies the end of a parameter entity.
`void` | `externalEntityDecl(String name, XMLResourceIdentifier identifier, Augmentations augs)` Deprecated. An external entity declaration.
`String[]` | `getRecognizedFeatures()` Deprecated. Returns a list of feature identifiers that are recognized by this component.
`String[]` | `getRecognizedProperties()` Deprecated. Returns a list of property identifiers that are recognized by this component.
`void` | `ignoredCharacters(XMLString text, Augmentations augs)` Deprecated. Characters within an IGNORE conditional section.
`void` | `internalEntityDecl(String name, XMLString text, XMLString nonNormalizedText, Augmentations augs)` Deprecated. An internal entity declaration.
`void` | `notationDecl(String name, XMLResourceIdentifier identifier, Augmentations augs)` Deprecated. A notation declaration
`void` | `occurrence(short occurrence, Augmentations augs)` Deprecated. The occurrence count for a child in a children content model or for the mixed content model group.
`void` | `pcdata(Augmentations augs)` Deprecated. The appearance of "#PCDATA" within a group signifying a mixed content model.
`void` | `processingInstruction(String target, XMLString data, Augmentations augs)` Deprecated. A processing instruction.
`protected void` | `reset()` Deprecated.
`void` | `reset(XMLComponentManager componentManager)` Deprecated. Resets the component.
`void` | `separator(short separator, Augmentations augs)` Deprecated. The separator between choices or sequences of a mixed or children content model.
`void` | `setDTDContentModelHandler(XMLDTDContentModelHandler dtdContentModelHandler)` Deprecated. Sets the DTD content model handler.
`void` | `setDTDHandler(XMLDTDHandler dtdHandler)` Deprecated. Sets the DTD handler.
`void` | `setFeature(String featureId, boolean state)` Deprecated. Sets the state of a feature.
`void` | `setProperty(String propertyId, Object value)` Deprecated. Sets the value of a property.
`void` | `startAttlist(String elementName, Augmentations augs)` Deprecated. The start of an attribute list.
`void` | `startConditional(short type, Augmentations augs)` Deprecated. The start of a conditional section.
`void` | `startContentModel(String elementName, Augmentations augs)` Deprecated. The start of a content model.
`void` | `startDTD(XMLLocator locator, Augmentations augs)` Deprecated. The start of the DTD.
`void` | `startExternalSubset(XMLResourceIdentifier identifier, Augmentations augs)` Deprecated. The start of the DTD external subset.
`void` | `startGroup(Augmentations augs)` Deprecated. A start of either a mixed or children content model.
`void` | `startParameterEntity(String name, XMLResourceIdentifier identifier, String encoding, Augmentations augs)` Deprecated. This method notifies of the start of a parameter entity.
`void` | `textDecl(String version, String encoding, Augmentations augs)` Deprecated. Notifies of the presence of a TextDecl line in an entity.
`void` | `unparsedEntityDecl(String name, XMLResourceIdentifier identifier, String notation, Augmentations augs)` Deprecated. An unparsed entity declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALIDATION

    protected static final String VALIDATION

  Deprecated.
  Feature identifier: validation.

  See Also:
    Constant Field Values

### NOTIFY_CHAR_REFS

    protected static final String NOTIFY_CHAR_REFS

  Deprecated.
  Feature identifier: notify character references.

  See Also:
    Constant Field Values

### WARN_ON_DUPLICATE_ATTDEF

    protected static final String WARN_ON_DUPLICATE_ATTDEF

  Deprecated.
  Feature identifier: warn on duplicate attdef

  See Also:
    Constant Field Values

### SYMBOL_TABLE

    protected static final String SYMBOL_TABLE

  Deprecated.
  Property identifier: symbol table.

  See Also:
    Constant Field Values

### ERROR_REPORTER

    protected static final String ERROR_REPORTER

  Deprecated.
  Property identifier: error reporter.

  See Also:
    Constant Field Values

### GRAMMAR_POOL

    protected static final String GRAMMAR_POOL

  Deprecated.
  Property identifier: grammar pool.

  See Also:
    Constant Field Values

### DTD_VALIDATOR

    protected static final String DTD_VALIDATOR

  Deprecated.
  Property identifier: validator .

  See Also:
    Constant Field Values

### fValidation

    protected boolean fValidation

  Deprecated.
  Validation.

### fDTDValidation

    protected boolean fDTDValidation

  Deprecated.
  Validation against only DTD

### fWarnDuplicateAttdef

    protected boolean fWarnDuplicateAttdef

  Deprecated.
  warn on duplicate attribute definition, this feature works only when validation is true

### fSymbolTable

    protected SymbolTable fSymbolTable

  Deprecated.
  Symbol table.

### fErrorReporter

    protected XMLErrorReporter fErrorReporter

  Deprecated.
  Error reporter.

### fGrammarBucket

    protected DTDGrammarBucket fGrammarBucket

  Deprecated.
  Grammar bucket.

### fValidator

    protected XMLDTDValidator fValidator

  Deprecated.

### fGrammarPool

    protected XMLGrammarPool fGrammarPool

  Deprecated.

### fLocale

    protected Locale fLocale

  Deprecated.

### fDTDHandler

    protected XMLDTDHandler fDTDHandler

  Deprecated.
  DTD handler.

### fDTDContentModelHandler

    protected XMLDTDContentModelHandler fDTDContentModelHandler

  Deprecated.
  DTD content model handler.

### fDTDGrammar

    protected DTDGrammar fDTDGrammar

  Deprecated.
  DTD Grammar.

### fInDTDIgnore

    protected boolean fInDTDIgnore

  Deprecated.
  True if in an ignore conditional section of the DTD.

Constructor Detail

### XMLDTDProcessor

    public XMLDTDProcessor()

  Deprecated.
  Default constructor.

Method Detail

### reset

    public void reset(XMLComponentManager componentManager)
               throws XMLConfigurationException

  Deprecated.
  Description copied from interface: `XMLComponent`
  Resets the component. The component can query the component manager about any features and properties that affect the operation of the component.

  Specified by:
    `reset` in interface `XMLComponent`
  Parameters:
    `componentManager` - The component manager.
  Throws:
    `XMLConfigurationException`

### reset

    protected void reset()

  Deprecated.

### getRecognizedFeatures

    public String[] getRecognizedFeatures()

  Deprecated.
  Returns a list of feature identifiers that are recognized by this component. This method may return null if no features are recognized by this component.

  Specified by:
    `getRecognizedFeatures` in interface `XMLComponent`

### setFeature

    public void setFeature(String featureId,
                           boolean state)
                    throws XMLConfigurationException

  Deprecated.
  Sets the state of a feature. This method is called by the component manager any time after reset when a feature changes state.

  Note: Components should silently ignore features that do not affect the operation of the component.

  Specified by:
    `setFeature` in interface `XMLComponent`
  Parameters:
    `featureId` - The feature identifier.
    `state` - The state of the feature.
  Throws:
    `SAXNotRecognizedException` - The component should not throw this exception.
    `SAXNotSupportedException` - The component should not throw this exception.
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### getRecognizedProperties

    public String[] getRecognizedProperties()

  Deprecated.
  Returns a list of property identifiers that are recognized by this component. This method may return null if no properties are recognized by this component.

  Specified by:
    `getRecognizedProperties` in interface `XMLComponent`

### setProperty

    public void setProperty(String propertyId,
                            Object value)
                     throws XMLConfigurationException

  Deprecated.
  Sets the value of a property. This method is called by the component manager any time after reset when a property changes value.

  Note: Components should silently ignore properties that do not affect the operation of the component.

  Specified by:
    `setProperty` in interface `XMLComponent`
  Parameters:
    `propertyId` - The property identifier.
    `value` - The value of the property.
  Throws:
    `SAXNotRecognizedException` - The component should not throw this exception.
    `SAXNotSupportedException` - The component should not throw this exception.
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### setDTDHandler

    public void setDTDHandler(XMLDTDHandler dtdHandler)

  Deprecated.
  Sets the DTD handler.

  Specified by:
    `setDTDHandler` in interface `XMLDTDSource`
  Parameters:
    `dtdHandler` - The DTD handler.

### setDTDContentModelHandler

    public void setDTDContentModelHandler(XMLDTDContentModelHandler dtdContentModelHandler)

  Deprecated.
  Sets the DTD content model handler.

  Specified by:
    `setDTDContentModelHandler` in interface `XMLDTDContentModelSource`
  Parameters:
    `dtdContentModelHandler` - The DTD content model handler.

### startExternalSubset

    public void startExternalSubset(XMLResourceIdentifier identifier,
                                    Augmentations augs)
                             throws XNIException

  Deprecated.
  The start of the DTD external subset.

  Specified by:
    `startExternalSubset` in interface `XMLDTDHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
    `identifier` - The resource identifier.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endExternalSubset

    public void endExternalSubset(Augmentations augs)
                           throws XNIException

  Deprecated.
  The end of the DTD external subset.

  Specified by:
    `endExternalSubset` in interface `XMLDTDHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### checkStandaloneEntityRef

    protected static void checkStandaloneEntityRef(String name,
                                                   DTDGrammar grammar,
                                                   XMLEntityDecl tempEntityDecl,
                                                   XMLErrorReporter errorReporter)
                                            throws XNIException

  Deprecated.
  Check standalone entity reference. Made static to make common between the validator and loader.

  Parameters:
    `name` -
    `grammar` - grammar to which entity belongs
    `tempEntityDecl` - empty entity declaration to put results in
    `errorReporter` - error reporter to send errors to
  Throws:
    `XNIException` - Thrown by application to signal an error.

### comment

    public void comment(XMLString text,
                        Augmentations augs)
                 throws XNIException

  Deprecated.
  A comment.

  Specified by:
    `comment` in interface `XMLDTDHandler`
  Parameters:
    `text` - The text in the comment.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by application to signal an error.

### processingInstruction

    public void processingInstruction(String target,
                                      XMLString data,
                                      Augmentations augs)
                               throws XNIException

  Deprecated.
  A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

  Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

  Specified by:
    `processingInstruction` in interface `XMLDTDHandler`
  Parameters:
    `target` - The target.
    `data` - The data or null if none specified.
    `augs` - Additional information that may include infoset augmentations
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startDTD

    public void startDTD(XMLLocator locator,
                         Augmentations augs)
                  throws XNIException

  Deprecated.
  The start of the DTD.

  Specified by:
    `startDTD` in interface `XMLDTDHandler`
  Parameters:
    `locator` - The document locator, or null if the document location cannot be reported during the parsing of the document DTD. However, it is strongly recommended that a locator be supplied that can at least report the base system identifier of the DTD.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### ignoredCharacters

    public void ignoredCharacters(XMLString text,
                                  Augmentations augs)
                           throws XNIException

  Deprecated.
  Characters within an IGNORE conditional section.

  Specified by:
    `ignoredCharacters` in interface `XMLDTDHandler`
  Parameters:
    `text` - The ignored text.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### textDecl

    public void textDecl(String version,
                         String encoding,
                         Augmentations augs)
                  throws XNIException

  Deprecated.
  Notifies of the presence of a TextDecl line in an entity. If present, this method will be called immediately following the startParameterEntity call.

  Note: This method is only called for external parameter entities referenced in the DTD.

  Specified by:
    `textDecl` in interface `XMLDTDHandler`
  Parameters:
    `version` - The XML version, or null if not specified.
    `encoding` - The IANA encoding name of the entity.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startParameterEntity

    public void startParameterEntity(String name,
                                     XMLResourceIdentifier identifier,
                                     String encoding,
                                     Augmentations augs)
                              throws XNIException

  Deprecated.
  This method notifies of the start of a parameter entity. The parameter entity name start with a '%' character.

  Specified by:
    `startParameterEntity` in interface `XMLDTDHandler`
  Parameters:
    `name` - The name of the parameter entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal parameter entities).
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endParameterEntity

    public void endParameterEntity(String name,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  This method notifies the end of a parameter entity. Parameter entity names begin with a '%' character.

  Specified by:
    `endParameterEntity` in interface `XMLDTDHandler`
  Parameters:
    `name` - The name of the parameter entity.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### elementDecl

    public void elementDecl(String name,
                            String contentModel,
                            Augmentations augs)
                     throws XNIException

  Deprecated.
  An element declaration.

  Specified by:
    `elementDecl` in interface `XMLDTDHandler`
  Parameters:
    `name` - The name of the element.
    `contentModel` - The element content model.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startAttlist

    public void startAttlist(String elementName,
                             Augmentations augs)
                      throws XNIException

  Deprecated.
  The start of an attribute list.

  Specified by:
    `startAttlist` in interface `XMLDTDHandler`
  Parameters:
    `elementName` - The name of the element that this attribute list is associated with.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### attributeDecl

    public void attributeDecl(String elementName,
                              String attributeName,
                              String type,
                              String[] enumeration,
                              String defaultType,
                              XMLString defaultValue,
                              XMLString nonNormalizedDefaultValue,
                              Augmentations augs)
                       throws XNIException

  Deprecated.
  An attribute declaration.

  Specified by:
    `attributeDecl` in interface `XMLDTDHandler`
  Parameters:
    `elementName` - The name of the element that this attribute is associated with.
    `attributeName` - The name of the attribute.
    `type` - The attribute type. This value will be one of the following: "CDATA", "ENTITY", "ENTITIES", "ENUMERATION", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", or "NOTATION".
    `enumeration` - If the type has the value "ENUMERATION" or "NOTATION", this array holds the allowed attribute values; otherwise, this array is null.
    `defaultType` - The attribute default type. This value will be one of the following: "#FIXED", "#IMPLIED", "#REQUIRED", or null.
    `defaultValue` - The attribute default value, or null if no default value is specified.
    `nonNormalizedDefaultValue` - The attribute default value with no normalization performed, or null if no default value is specified.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endAttlist

    public void endAttlist(Augmentations augs)
                    throws XNIException

  Deprecated.
  The end of an attribute list.

  Specified by:
    `endAttlist` in interface `XMLDTDHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### internalEntityDecl

    public void internalEntityDecl(String name,
                                   XMLString text,
                                   XMLString nonNormalizedText,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  An internal entity declaration.

  Specified by:
    `internalEntityDecl` in interface `XMLDTDHandler`
  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `text` - The value of the entity.
    `nonNormalizedText` - The non-normalized value of the entity. This value contains the same sequence of characters that was in the internal entity declaration, without any entity references expanded.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### externalEntityDecl

    public void externalEntityDecl(String name,
                                   XMLResourceIdentifier identifier,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  An external entity declaration.

  Specified by:
    `externalEntityDecl` in interface `XMLDTDHandler`
  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `identifier` - An object containing all location information pertinent to this external entity.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### unparsedEntityDecl

    public void unparsedEntityDecl(String name,
                                   XMLResourceIdentifier identifier,
                                   String notation,
                                   Augmentations augs)
                            throws XNIException

  Deprecated.
  An unparsed entity declaration.

  Specified by:
    `unparsedEntityDecl` in interface `XMLDTDHandler`
  Parameters:
    `name` - The name of the entity.
    `identifier` - An object containing all location information pertinent to this entity.
    `notation` - The name of the notation.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### notationDecl

    public void notationDecl(String name,
                             XMLResourceIdentifier identifier,
                             Augmentations augs)
                      throws XNIException

  Deprecated.
  A notation declaration

  Specified by:
    `notationDecl` in interface `XMLDTDHandler`
  Parameters:
    `name` - The name of the notation.
    `identifier` - An object containing all location information pertinent to this notation.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startConditional

    public void startConditional(short type,
                                 Augmentations augs)
                          throws XNIException

  Deprecated.
  The start of a conditional section.

  Specified by:
    `startConditional` in interface `XMLDTDHandler`
  Parameters:
    `type` - The type of the conditional section. This value will either be CONDITIONAL_INCLUDE or CONDITIONAL_IGNORE.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDHandler.CONDITIONAL_INCLUDE`, `XMLDTDHandler.CONDITIONAL_IGNORE`

### endConditional

    public void endConditional(Augmentations augs)
                        throws XNIException

  Deprecated.
  The end of a conditional section.

  Specified by:
    `endConditional` in interface `XMLDTDHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endDTD

    public void endDTD(Augmentations augs)
                throws XNIException

  Deprecated.
  The end of the DTD.

  Specified by:
    `endDTD` in interface `XMLDTDHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startContentModel

    public void startContentModel(String elementName,
                                  Augmentations augs)
                           throws XNIException

  Deprecated.
  The start of a content model. Depending on the type of the content model, specific methods may be called between the call to the startContentModel method and the call to the endContentModel method.

  Specified by:
    `startContentModel` in interface `XMLDTDContentModelHandler`
  Parameters:
    `elementName` - The name of the element.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### any

    public void any(Augmentations augs)
             throws XNIException

  Deprecated.
  A content model of ANY.

  Specified by:
    `any` in interface `XMLDTDContentModelHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDProcessor.empty(weblogic.apache.xerces.xni.Augmentations)`, `XMLDTDProcessor.startGroup(weblogic.apache.xerces.xni.Augmentations)`

### empty

    public void empty(Augmentations augs)
               throws XNIException

  Deprecated.
  A content model of EMPTY.

  Specified by:
    `empty` in interface `XMLDTDContentModelHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDProcessor.any(weblogic.apache.xerces.xni.Augmentations)`, `XMLDTDProcessor.startGroup(weblogic.apache.xerces.xni.Augmentations)`

### startGroup

    public void startGroup(Augmentations augs)
                    throws XNIException

  Deprecated.
  A start of either a mixed or children content model. A mixed content model will immediately be followed by a call to the `pcdata()` method. A children content model will contain additional groups and/or elements.

  Specified by:
    `startGroup` in interface `XMLDTDContentModelHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDProcessor.any(weblogic.apache.xerces.xni.Augmentations)`, `XMLDTDProcessor.empty(weblogic.apache.xerces.xni.Augmentations)`

### pcdata

    public void pcdata(Augmentations augs)

  Deprecated.
  The appearance of "#PCDATA" within a group signifying a mixed content model. This method will be the first called following the content model's `startGroup()`.

  Specified by:
    `pcdata` in interface `XMLDTDContentModelHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDProcessor.startGroup(weblogic.apache.xerces.xni.Augmentations)`

### element

    public void element(String elementName,
                        Augmentations augs)
                 throws XNIException

  Deprecated.
  A referenced element in a mixed or children content model.

  Specified by:
    `element` in interface `XMLDTDContentModelHandler`
  Parameters:
    `elementName` - The name of the referenced element.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### separator

    public void separator(short separator,
                          Augmentations augs)
                   throws XNIException

  Deprecated.
  The separator between choices or sequences of a mixed or children content model.

  Specified by:
    `separator` in interface `XMLDTDContentModelHandler`
  Parameters:
    `separator` - The type of children separator.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.SEPARATOR_CHOICE`, `XMLDTDContentModelHandler.SEPARATOR_SEQUENCE`

### occurrence

    public void occurrence(short occurrence,
                           Augmentations augs)
                    throws XNIException

  Deprecated.
  The occurrence count for a child in a children content model or for the mixed content model group.

  Specified by:
    `occurrence` in interface `XMLDTDContentModelHandler`
  Parameters:
    `occurrence` - The occurrence count for the last element or group.
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDContentModelHandler.OCCURS_ZERO_OR_ONE`, `XMLDTDContentModelHandler.OCCURS_ZERO_OR_MORE`, `XMLDTDContentModelHandler.OCCURS_ONE_OR_MORE`

### endGroup

    public void endGroup(Augmentations augs)
                  throws XNIException

  Deprecated.
  The end of a group for mixed or children content models.

  Specified by:
    `endGroup` in interface `XMLDTDContentModelHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endContentModel

    public void endContentModel(Augmentations augs)
                         throws XNIException

  Deprecated.
  The end of a content model.

  Specified by:
    `endContentModel` in interface `XMLDTDContentModelHandler`
  Parameters:
    `augs` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD